wmmenugen(1)

NAME
wmmenugen - Window Maker PropList menu generator

SYNOPSIS
wmmenugen [options...] -parser=<name> fspec [fspec...] [-parser=<name> fspec [fspec...]...]

DESCRIPTION
wmmenugen generates a menu in the PropList format for Window Maker from the input file fspec. In the case where fspec is a directory instead of a file, then wmmenugen will read all the files present in the hierarchy of this directory.

OPTIONS

--help, -h
    print a help message with the list of options

-parser
    specify the format of the file to be parsed

--version
    print the version of Window Maker from which the program comes

PARSERS
wmmenugen supports these file formats for input files:

wmconfig
    the format of the menu generation tool for X of the same name

xdg the format of the menu specification as defined by the FreeDesktop standard, currently at version 1.1

RETURN VALUE
The exit status from the wmmenugen command provides information for the caller:

0   when the PropList menu was successfully generated on stdout.

1   when a fspec caused a problem (non readable file, ...)

2   the arguments of the command line where not recognised

3   the program met an unexpected menu structure; you probably want to look at the section BUGS below.

BUGS
If you get the exit status 3 with the unclear error message about unprocessed levels on the stack, you encountered a limitation of wmmenugen. It would be a good idea to prepare an archive with the files incriminated and submit them to the mailing list (wmaker-dev@lists.windowmaker.org) with you command line, so the team can work on improving the behaviour of the program on this case.

SEE ALSO
wmgenmenu(1), the tool to generate a default menu

the Wmconfig program can be found at: <http://www.arrishq.net/index.html>

the xdg specification can be found at: <http://standards.freedesktop.org/menu-spec/menu-spec-1.1.html>

AUTHOR
wmmenugen is a part of Window Maker. It was written by Tamas TEVESZ.

This manpage was written by Rodolfo García Peñas (kix) for the Debian GNU/Linux system (but may be used by others).